<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.manager.mapper.LinkdataInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="linkdataInfoResultMap" type="org.springblade.manager.entity.LinkdataInfo">
        <result column="id" property="id"/>
        <result column="tab_id" property="tabId"/>
        <result column="col_name" property="colName"/>
        <result column="col_key" property="colKey"/>
        <result column="data_type" property="dataType"/>
        <result column="html_type" property="htmlType"/>
        <result column="tr_index" property="trIndex"/>
        <result column="td_index" property="tdIndex"/>
    </resultMap>


    <select id="selectLinkdataInfoPage" resultMap="linkdataInfoResultMap">
        select * from m_linkdata_info where is_deleted = 0
    </select>

    <select id="getColSelect" resultMap="linkdataInfoResultMap">
        select * from m_linkdata_info where is_deleted = 0 and tab_id =#{tabId}
    </select>
</mapper>
